//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

File name    : csco_ht_package.e
             :
Title        : Cisco Hypertransport eVC Package
Project      : Cisco Hypertransport eVC
             :
Created On   : 04/08/2002
             :
Developers   : Sean Smith, sesmith@cisco.com
             :
Purpose      : Implements package related stuff.
             :
Description  :
             :
Assumptions  : none
             :
Limitations  : none
             :
Known Errors : none
             :
Notes        :


//----------------------------------------------------------------------------
//Revision History :
//----------------------------------------------------------------------------

// ***** BEGIN LICENSE BLOCK *****
// Version: MPL 1.1
// The contents of this file are subject to the Mozilla Public License Version
// 1.1 (the "License"); you may not use this file except in compliance with
// the License. You may obtain a copy of the License at
// http:                                                   // www.mozilla.org/MPL/ or ./mpl_1_1.txt
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the License.
// The Original Code is Cisco Hypertransport eVC.
// The Initial Developer of the Original Code is
// Brian Van Essen, Lisa Huang, and Sean Smith.
// Portions created by the Initial Developer are Copyright (C) 2002
// the Initial Developer. All Rights Reserved.
// Contributor(s): Brian Van Essen, Lisa Huang, and Sean Smith
// ***** END LICENSE BLOCK *****

<'

extend csco_mmser_env_u {

    // Print a banner for each eVC instance at the start of the test
    show_banner() is also {
        out("eVC instance : ", name);

        //if has_tx_evc_agent    { out("     has TX EVC agent"); };
        //if has_tx_shadow_agent { out("     has TX SHADOW agent"); };
        //if has_rx_evc_agent    { out("     has RX EVC agent"); };
        //if has_rx_shadow_agent { out("     has RX SHADOW agent"); };

    };                                                     // End show_banner()

    // Implement the show_status() method
    show_status() is only {
        out("Cisco Hypertransport eVC - instance : ", name);
    };                                                     // show_status()

};                                                         // extend csco_mmser_env_u

'>
